# Copyright (c) 2001 Phil Thompson <phil@river-bank.demon.co.uk>
#
# The tmake project file for the pyuic code generator.  To generate the
# Makefile for Microsoft Visual C++, run:
#
#       export TMAKEPATH=/usr/local/tmake/win32-msvc
#       tmake -win32 -o Makefile.win32-msvc pyuic.pro
#
# Check that the value of the LIBS variable contains the correct name for the
# Qt DLL and change if necessary.


TEMPLATE	= app
CONFIG		= qt console warn_on release professional
INCLUDEPATH	= . $(QTDIR)/src/3rdparty/zlib
DEFINES		= UIC QT_DLL QT_INTERNAL_XML
HEADERS		= uic.h \
		  widgetdatabase.h \
		  domtool.h \
		  parser.h \
		  widgetinterface.h
SOURCES		= main.cpp \
		  uic.cpp \
		  form.cpp \
		  object.cpp \ 
		  subclassing.cpp \
		  embed.cpp \
		  widgetdatabase.cpp \
		  domtool.cpp \
		  parser.cpp
INTERFACES	= 
TARGET		= pyuic
