Summary: Python bindings for Qt.
Name: PyQt
Version: 3.0
Release: 1
Copyright: Phil Thompson <phil@river-bank.demon.co.uk>
Packager: Phil Thompson <phil@river-bank.demon.co.uk>
Group: Development/Languages/Python
Source: ftp://ftp.thekompany.com/pub/PyQt/%{name}-%{version}.tar.gz
URL: http://www.thekompany.com/projects/pykde/
BuildRoot: /tmp/%{name}-%{version}-root
Requires: sip = 3.0
Prefix: /usr

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer and a debugger.

%package devel
Summary: SIP specification files for Qt.
Group: Development/Languages/Python

%description devel
The SIP specification files for the Qt class library.

%prep
%setup

%build
LDFLAGS="-L$RPM_BUILD_ROOT%{prefix}/lib/python2.1/site-packages" \
./configure --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install install-sip install-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %{prefix}/bin/eric
%attr(-,root,root) %{prefix}/bin/pyuic
%attr(-,root,root) %{prefix}/doc/%{name}
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/eric
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtcmodule-3.0.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qt.py
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qt.pyo
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtcanvascmodule-3.0.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtcanvascmodule.la
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtcanvascmodule.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtcanvas.py
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtcanvas.pyo
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtglcmodule-3.0.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtglcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtglcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtgl.py
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtgl.pyo
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtnetworkcmodule-3.0.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtnetworkcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtnetworkcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtnetwork.py
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtnetwork.pyo
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtsqlcmodule-3.0.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtsqlcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtsqlcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtsql.py
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtsql.pyo
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqttablecmodule-3.0.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqttablecmodule.la
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqttablecmodule.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qttable.py
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qttable.pyo
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtxmlcmodule-3.0.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtxmlcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/libqtxmlcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtxml.py
%attr(-,root,root) %{prefix}/lib/python2.1/site-packages/qtxml.pyo

%files devel
%attr(-,root,root) %{prefix}/share/sip/qt
